

/* ========== PARALLAX BACKGROUD ========== */

$(document).ready(function() {

	/* calling the parallax function */
	/*$(window).on('scroll', function(e) {
		parallax();
	});*/







	// ==================== SMOOTH SCROLLING BETWEEN SECTIONS ==================== //
	$('a[href*=#sec-]:not([href=#])').click(function(o) {
	    if (location.pathname.replace(/^\//,'') == this.pathname.replace(/^\//,'') 
	        || location.hostname == this.hostname) {

	        var target = $(this.hash);
	        target = target.length ? target : $('[name=' + this.hash.slice(1) +']');
	           if (target.length) {
	           	if ($(".navigation")) {
	             $('html,body').animate({
	                 scrollTop: target.offset().top-0
	            }, 1000);
	         } else {
	             $('html,body').animate({
	                 scrollTop: target.offset().top-0
	            }, 1000);
	         }
	            return false;
	        }
	    }
	});





	// ==================== FITVIDS ==================== //
	// https://github.com/marclarr/FitVids.js
	//$('.fitvids').fitVids();

});

/* ========== ISOTOPE FILTERING ========== */
/*$(window).load(function(){
	// cache container
	var $container = $('.portfolio-items');
	// initialize isotope
	$container.isotope({
	  // options...
	});

	// filter items when filter link is clicked
	$('.filters a').click(function(){
	  var selector = $(this).attr('data-filter');
	  $container.isotope({ filter: selector });
	  return false;
	});
});
*/